import os
import logging

logfile = os.environ.get('BLOGGERFS_LOGFILE', None)

if logfile is not None:
    logger = logging.getLogger('bloggerfs')
    logger.setLevel(logging.DEBUG)
    handler = logging.FileHandler(logfile)
    formatter = logging.Formatter('[%(asctime)s] [%(levelname)s] '
                                  '[%(funcName)s]  %(message)s')
    handler.setFormatter(formatter)
    logger.addHandler(handler)
